<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:19 CST 2018 -->
<title>Uses of Class projectx.engine.terminal.Terminal</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class projectx.engine.terminal.Terminal";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?projectx/engine/terminal/class-use/Terminal.html" target="_top">Frames</a></li>
<li><a href="Terminal.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class projectx.engine.terminal.Terminal" class="title">Uses of Class<br>projectx.engine.terminal.Terminal</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine">projectx.engine</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.terminal">projectx.engine.terminal</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.terminal.modes">projectx.engine.terminal.modes</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.terminal.TerminalExceptions">projectx.engine.terminal.TerminalExceptions</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="projectx.engine">
<!--   -->
</a>
<h3>Uses of <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a> in <a href="../../../../projectx/engine/package-summary.html">projectx.engine</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../projectx/engine/package-summary.html">projectx.engine</a> that return <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a></code></td>
<td class="colLast"><span class="typeNameLabel">EngineGL.</span><code><span class="memberNameLink"><a href="../../../../projectx/engine/EngineGL.html#getTerminal--">getTerminal</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.terminal">
<!--   -->
</a>
<h3>Uses of <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a> in <a href="../../../../projectx/engine/terminal/package-summary.html">projectx.engine.terminal</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../projectx/engine/terminal/package-summary.html">projectx.engine.terminal</a> with parameters of type <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/terminal/CommandParser.html#CommandParser-projectx.engine.Handler-projectx.engine.terminal.Terminal-">CommandParser</a></span>(<a href="../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
             <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/terminal/ManualParser.html#ManualParser-projectx.engine.Handler-projectx.engine.terminal.Terminal-">ManualParser</a></span>(<a href="../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
            <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.terminal.modes">
<!--   -->
</a>
<h3>Uses of <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a> in <a href="../../../../projectx/engine/terminal/modes/package-summary.html">projectx.engine.terminal.modes</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../projectx/engine/terminal/modes/package-summary.html">projectx.engine.terminal.modes</a> with parameters of type <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/terminal/modes/Mode.html#Mode-projectx.engine.terminal.Terminal-projectx.engine.Handler-">Mode</a></span>(<a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal,
    <a href="../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/terminal/modes/StdIO.html#StdIO-projectx.engine.terminal.Terminal-projectx.engine.Handler-">StdIO</a></span>(<a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal,
     <a href="../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/terminal/modes/Window.html#Window-projectx.engine.terminal.Terminal-projectx.engine.Handler-">Window</a></span>(<a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal,
      <a href="../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.terminal.TerminalExceptions">
<!--   -->
</a>
<h3>Uses of <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a> in <a href="../../../../projectx/engine/terminal/TerminalExceptions/package-summary.html">projectx.engine.terminal.TerminalExceptions</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../projectx/engine/terminal/TerminalExceptions/package-summary.html">projectx.engine.terminal.TerminalExceptions</a> with parameters of type <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/terminal/TerminalExceptions/InvalidCommandException.html#InvalidCommandException-java.lang.String-projectx.engine.terminal.Terminal-">InvalidCommandException</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;errorMessage,
                       <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/terminal/TerminalExceptions/ProcConflictException.html#ProcConflictException-java.lang.String-java.lang.String-projectx.engine.terminal.Terminal-">ProcConflictException</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;proc1,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;proc2,
                     <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../projectx/engine/terminal/TerminalExceptions/ProcsNotFoundException.html#ProcsNotFoundException-java.lang.String-projectx.engine.terminal.Terminal-">ProcsNotFoundException</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;errorMessage,
                      <a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Terminal</a>&nbsp;terminal)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../projectx/engine/terminal/Terminal.html" title="class in projectx.engine.terminal">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?projectx/engine/terminal/class-use/Terminal.html" target="_top">Frames</a></li>
<li><a href="Terminal.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
